/* 
 * Copyright 2007 Sun Microsystems, Inc.  All Rights Reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Sun designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Sun in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
 * CA 95054 USA or visit www.sun.com if you need additional information or
 * have any questions.
 */

/*
 * Stub functions for the encryption code until we can open that file.
 * Never called, purely to avoid linker errors.
 */

#include "pkcs11wrapper.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "sun_security_pkcs11_wrapper_PKCS11.h"

#ifdef P11_ENABLE_C_ENCRYPTINIT
JNIEXPORT void JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1EncryptInit
    (JNIEnv *env, jobject obj, jlong jSessionHandle, jobject jMechanism, jlong jKeyHandle)
{
    return;
}
#endif

#ifdef P11_ENABLE_C_ENCRYPT
JNIEXPORT jint JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1Encrypt
  (JNIEnv *env, jobject obj, jlong jSessionHandle, jbyteArray jIn, jint jInOfs, jint jInLen, jbyteArray jOut, jint jOutOfs, jint jOutLen)
{
    return 0;
}
#endif

#ifdef P11_ENABLE_C_ENCRYPTUPDATE
JNIEXPORT jint JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1EncryptUpdate
  (JNIEnv *env, jobject obj, jlong jSessionHandle, jlong directIn, jbyteArray jIn, jint jInOfs, jint jInLen, jlong directOut, jbyteArray jOut, jint jOutOfs, jint jOutLen)
{
    return 0;
}
#endif

#ifdef P11_ENABLE_C_ENCRYPTFINAL
JNIEXPORT jint JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1EncryptFinal
  (JNIEnv *env, jobject obj, jlong jSessionHandle, jlong directOut, jbyteArray jOut, jint jOutOfs, jint jOutLen)
{
    return 0;
}
#endif

#ifdef P11_ENABLE_C_DECRYPTINIT
JNIEXPORT void JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1DecryptInit
    (JNIEnv *env, jobject obj, jlong jSessionHandle, jobject jMechanism, jlong jKeyHandle)
{
    return;
}
#endif

#ifdef P11_ENABLE_C_DECRYPT
JNIEXPORT jint JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1Decrypt
  (JNIEnv *env, jobject obj, jlong jSessionHandle, jbyteArray jIn, jint jInOfs, jint jInLen, jbyteArray jOut, jint jOutOfs, jint jOutLen)
{
    return 0;
}
#endif

#ifdef P11_ENABLE_C_DECRYPTUPDATE
JNIEXPORT jint JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1DecryptUpdate
  (JNIEnv *env, jobject obj, jlong jSessionHandle, jlong directIn, jbyteArray jIn, jint jInOfs, jint jInLen, jlong directOut, jbyteArray jOut, jint jOutOfs, jint jOutLen)
{
    return 0;
}
#endif

#ifdef P11_ENABLE_C_DECRYPTFINAL
JNIEXPORT jint JNICALL Java_sun_security_pkcs11_wrapper_PKCS11_C_1DecryptFinal
  (JNIEnv *env, jobject obj, jlong jSessionHandle, jlong directOut, jbyteArray jOut, jint jOutOfs, jint jOutLen)
{
    return 0;
}
#endif
